Package org.apache.storm.daemon.supervisor

## Enum Container.ContainerType

- java.lang.Object
- - java.lang.Enum<Container.ContainerType>
  - - org.apache.storm.daemon.supervisor.Container.ContainerType

- All Implemented Interfaces:
    `Serializable`, `Comparable<Container.ContainerType>`
  Enclosing class:
    Container

      public static enum Container.ContainerType
      extends Enum<Container.ContainerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LAUNCH` |
    `RECOVER_FULL` |
    `RECOVER_PARTIAL` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assertFull()` |
    `boolean` | `isOnlyKillable()` |
    `boolean` | `isRecovery()` |
    `static Container.ContainerType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Container.ContainerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAUNCH

          public static final Container.ContainerType LAUNCH

    - #### RECOVER_FULL

          public static final Container.ContainerType RECOVER_FULL

    - #### RECOVER_PARTIAL

          public static final Container.ContainerType RECOVER_PARTIAL

  - ### Method Detail

    - #### values

          public static Container.ContainerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Container.ContainerType c : Container.ContainerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Container.ContainerType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isRecovery

          public boolean isRecovery()

    - #### assertFull

          public void assertFull()

    - #### isOnlyKillable

          public boolean isOnlyKillable()